Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TCKind

    java.lang.Object
      |
      +--org.omg.CORBA.TCKind

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class TCKind
extends java.lang.Object
implements IDLEntity

Enum definition : TCKind

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_tk_abstract_interface` Enum member tk_abstract_interface value
`static int` | `_tk_alias` Enum member tk_alias value
`static int` | `_tk_any` Enum member tk_any value
`static int` | `_tk_array` Enum member tk_array value
`static int` | `_tk_boolean` Enum member tk_boolean value
`static int` | `_tk_char` Enum member tk_char value
`static int` | `_tk_double` Enum member tk_double value
`static int` | `_tk_enum` Enum member tk_enum value
`static int` | `_tk_except` Enum member tk_except value
`static int` | `_tk_fixed` Enum member tk_fixed value
`static int` | `_tk_float` Enum member tk_float value
`static int` | `_tk_local_interface` Enum member tk_local_interface value
`static int` | `_tk_long` Enum member tk_long value
`static int` | `_tk_longdouble` Enum member tk_longdouble value
`static int` | `_tk_longlong` Enum member tk_longlong value
`static int` | `_tk_native` Enum member tk_native value
`static int` | `_tk_null` Enum member tk_null value
`static int` | `_tk_objref` Enum member tk_objref value
`static int` | `_tk_octet` Enum member tk_octet value
`static int` | `_tk_Principal` Enum member tk_Principal value
`static int` | `_tk_sequence` Enum member tk_sequence value
`static int` | `_tk_short` Enum member tk_short value
`static int` | `_tk_string` Enum member tk_string value
`static int` | `_tk_struct` Enum member tk_struct value
`static int` | `_tk_TypeCode` Enum member tk_TypeCode value
`static int` | `_tk_ulong` Enum member tk_ulong value
`static int` | `_tk_ulonglong` Enum member tk_ulonglong value
`static int` | `_tk_union` Enum member tk_union value
`static int` | `_tk_ushort` Enum member tk_ushort value
`static int` | `_tk_value` Enum member tk_value value
`static int` | `_tk_value_box` Enum member tk_value_box value
`static int` | `_tk_void` Enum member tk_void value
`static int` | `_tk_wchar` Enum member tk_wchar value
`static int` | `_tk_wstring` Enum member tk_wstring value
`static TCKind` | `tk_abstract_interface` Enum member tk_abstract_interface
`static TCKind` | `tk_alias` Enum member tk_alias
`static TCKind` | `tk_any` Enum member tk_any
`static TCKind` | `tk_array` Enum member tk_array
`static TCKind` | `tk_boolean` Enum member tk_boolean
`static TCKind` | `tk_char` Enum member tk_char
`static TCKind` | `tk_double` Enum member tk_double
`static TCKind` | `tk_enum` Enum member tk_enum
`static TCKind` | `tk_except` Enum member tk_except
`static TCKind` | `tk_fixed` Enum member tk_fixed
`static TCKind` | `tk_float` Enum member tk_float
`static TCKind` | `tk_local_interface` Enum member tk_local_interface
`static TCKind` | `tk_long` Enum member tk_long
`static TCKind` | `tk_longdouble` Enum member tk_longdouble
`static TCKind` | `tk_longlong` Enum member tk_longlong
`static TCKind` | `tk_native` Enum member tk_native
`static TCKind` | `tk_null` Enum member tk_null
`static TCKind` | `tk_objref` Enum member tk_objref
`static TCKind` | `tk_octet` Enum member tk_octet
`static TCKind` | `tk_Principal` Enum member tk_Principal
`static TCKind` | `tk_sequence` Enum member tk_sequence
`static TCKind` | `tk_short` Enum member tk_short
`static TCKind` | `tk_string` Enum member tk_string
`static TCKind` | `tk_struct` Enum member tk_struct
`static TCKind` | `tk_TypeCode` Enum member tk_TypeCode
`static TCKind` | `tk_ulong` Enum member tk_ulong
`static TCKind` | `tk_ulonglong` Enum member tk_ulonglong
`static TCKind` | `tk_union` Enum member tk_union
`static TCKind` | `tk_ushort` Enum member tk_ushort
`static TCKind` | `tk_value` Enum member tk_value
`static TCKind` | `tk_value_box` Enum member tk_value_box
`static TCKind` | `tk_void` Enum member tk_void
`static TCKind` | `tk_wchar` Enum member tk_wchar
`static TCKind` | `tk_wstring` Enum member tk_wstring

Method Summary
`static TCKind` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _tk_null

    public static final int _tk_null

  Enum member tk_null value

### tk_null

    public static final TCKind tk_null

  Enum member tk_null

### _tk_void

    public static final int _tk_void

  Enum member tk_void value

### tk_void

    public static final TCKind tk_void

  Enum member tk_void

### _tk_short

    public static final int _tk_short

  Enum member tk_short value

### tk_short

    public static final TCKind tk_short

  Enum member tk_short

### _tk_long

    public static final int _tk_long

  Enum member tk_long value

### tk_long

    public static final TCKind tk_long

  Enum member tk_long

### _tk_ushort

    public static final int _tk_ushort

  Enum member tk_ushort value

### tk_ushort

    public static final TCKind tk_ushort

  Enum member tk_ushort

### _tk_ulong

    public static final int _tk_ulong

  Enum member tk_ulong value

### tk_ulong

    public static final TCKind tk_ulong

  Enum member tk_ulong

### _tk_float

    public static final int _tk_float

  Enum member tk_float value

### tk_float

    public static final TCKind tk_float

  Enum member tk_float

### _tk_double

    public static final int _tk_double

  Enum member tk_double value

### tk_double

    public static final TCKind tk_double

  Enum member tk_double

### _tk_boolean

    public static final int _tk_boolean

  Enum member tk_boolean value

### tk_boolean

    public static final TCKind tk_boolean

  Enum member tk_boolean

### _tk_char

    public static final int _tk_char

  Enum member tk_char value

### tk_char

    public static final TCKind tk_char

  Enum member tk_char

### _tk_octet

    public static final int _tk_octet

  Enum member tk_octet value

### tk_octet

    public static final TCKind tk_octet

  Enum member tk_octet

### _tk_any

    public static final int _tk_any

  Enum member tk_any value

### tk_any

    public static final TCKind tk_any

  Enum member tk_any

### _tk_TypeCode

    public static final int _tk_TypeCode

  Enum member tk_TypeCode value

### tk_TypeCode

    public static final TCKind tk_TypeCode

  Enum member tk_TypeCode

### _tk_Principal

    public static final int _tk_Principal

  Enum member tk_Principal value

### tk_Principal

    public static final TCKind tk_Principal

  Enum member tk_Principal

### _tk_objref

    public static final int _tk_objref

  Enum member tk_objref value

### tk_objref

    public static final TCKind tk_objref

  Enum member tk_objref

### _tk_struct

    public static final int _tk_struct

  Enum member tk_struct value

### tk_struct

    public static final TCKind tk_struct

  Enum member tk_struct

### _tk_union

    public static final int _tk_union

  Enum member tk_union value

### tk_union

    public static final TCKind tk_union

  Enum member tk_union

### _tk_enum

    public static final int _tk_enum

  Enum member tk_enum value

### tk_enum

    public static final TCKind tk_enum

  Enum member tk_enum

### _tk_string

    public static final int _tk_string

  Enum member tk_string value

### tk_string

    public static final TCKind tk_string

  Enum member tk_string

### _tk_sequence

    public static final int _tk_sequence

  Enum member tk_sequence value

### tk_sequence

    public static final TCKind tk_sequence

  Enum member tk_sequence

### _tk_array

    public static final int _tk_array

  Enum member tk_array value

### tk_array

    public static final TCKind tk_array

  Enum member tk_array

### _tk_alias

    public static final int _tk_alias

  Enum member tk_alias value

### tk_alias

    public static final TCKind tk_alias

  Enum member tk_alias

### _tk_except

    public static final int _tk_except

  Enum member tk_except value

### tk_except

    public static final TCKind tk_except

  Enum member tk_except

### _tk_longlong

    public static final int _tk_longlong

  Enum member tk_longlong value

### tk_longlong

    public static final TCKind tk_longlong

  Enum member tk_longlong

### _tk_ulonglong

    public static final int _tk_ulonglong

  Enum member tk_ulonglong value

### tk_ulonglong

    public static final TCKind tk_ulonglong

  Enum member tk_ulonglong

### _tk_longdouble

    public static final int _tk_longdouble

  Enum member tk_longdouble value

### tk_longdouble

    public static final TCKind tk_longdouble

  Enum member tk_longdouble

### _tk_wchar

    public static final int _tk_wchar

  Enum member tk_wchar value

### tk_wchar

    public static final TCKind tk_wchar

  Enum member tk_wchar

### _tk_wstring

    public static final int _tk_wstring

  Enum member tk_wstring value

### tk_wstring

    public static final TCKind tk_wstring

  Enum member tk_wstring

### _tk_fixed

    public static final int _tk_fixed

  Enum member tk_fixed value

### tk_fixed

    public static final TCKind tk_fixed

  Enum member tk_fixed

### _tk_value

    public static final int _tk_value

  Enum member tk_value value

### tk_value

    public static final TCKind tk_value

  Enum member tk_value

### _tk_value_box

    public static final int _tk_value_box

  Enum member tk_value_box value

### tk_value_box

    public static final TCKind tk_value_box

  Enum member tk_value_box

### _tk_native

    public static final int _tk_native

  Enum member tk_native value

### tk_native

    public static final TCKind tk_native

  Enum member tk_native

### _tk_abstract_interface

    public static final int _tk_abstract_interface

  Enum member tk_abstract_interface value

### tk_abstract_interface

    public static final TCKind tk_abstract_interface

  Enum member tk_abstract_interface

### _tk_local_interface

    public static final int _tk_local_interface

  Enum member tk_local_interface value

### tk_local_interface

    public static final TCKind tk_local_interface

  Enum member tk_local_interface

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static TCKind from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD